{
    attributes = (
        {
            allowsNull = Y; 
            columnName = C_BUREAU_GESTION; 
            externalType = VARCHAR2; 
            name = cBureauGestion; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_CATEGORIE; 
            externalType = VARCHAR2; 
            name = cCategorie; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = C_CORPS; 
            externalType = VARCHAR2; 
            name = cCorps; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_FILIERE; 
            externalType = VARCHAR2; 
            name = cFiliere; 
            valueClassName = NSString; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = C_TYPE_CORPS; 
            externalType = VARCHAR2; 
            name = cTypeCorps; 
            valueClassName = NSString; 
            width = 2; 
        }, 
        {
            columnName = D_CREATION; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_FERMETURE_CORPS; 
            externalType = DATE; 
            name = dFermetureCorps; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = D_MODIFICATION; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = D_OUVERTURE_CORPS; 
            externalType = DATE; 
            name = dOuvertureCorps; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = LC_CORPS; 
            externalType = VARCHAR2; 
            name = lcCorps; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = LL_CORPS; 
            externalType = VARCHAR2; 
            name = llCorps; 
            valueClassName = NSString; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            columnName = MASSE_INDICIAIRE; 
            externalType = NUMBER; 
            name = masseIndiciaire; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = TEM_CFP; 
            externalType = VARCHAR2; 
            name = temCfp; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = TEM_CRCT; 
            externalType = VARCHAR2; 
            name = temCrct; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = TEM_DELEGATION; 
            externalType = VARCHAR2; 
            name = temDelegation; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = TEM_MISDEP; 
            externalType = VARCHAR2; 
            name = temMisdep; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = TEM_SURNOMBRE; 
            externalType = VARCHAR2; 
            name = temSurnombre; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        cCorps, 
        lcCorps, 
        llCorps, 
        cTypeCorps, 
        cCategorie, 
        cFiliere, 
        cBureauGestion, 
        masseIndiciaire, 
        temCfp, 
        temCrct, 
        temDelegation, 
        temMisdep, 
        temSurnombre, 
        dOuvertureCorps, 
        dFermetureCorps, 
        dCreation, 
        dModification
    ); 
    className = EOCorps; 
    classProperties = (
        cCorps, 
        lcCorps, 
        llCorps, 
        cTypeCorps, 
        cCategorie, 
        cFiliere, 
        cBureauGestion, 
        masseIndiciaire, 
        temCfp, 
        temCrct, 
        temDelegation, 
        temMisdep, 
        temSurnombre, 
        dOuvertureCorps, 
        dFermetureCorps, 
        dCreation, 
        dModification
    ); 
    externalName = CORPS; 
    internalInfo = {
        _clientClassPropertyNames = (
            cCorps, 
            lcCorps, 
            llCorps, 
            cTypeCorps, 
            cCategorie, 
            cFiliere, 
            cBureauGestion, 
            masseIndiciaire, 
            temCfp, 
            temCrct, 
            temDelegation, 
            temMisdep, 
            temSurnombre, 
            dOuvertureCorps, 
            dFermetureCorps, 
            dCreation, 
            dModification, 
            toTypePopulation
        ); 
    }; 
    name = Corps; 
    primaryKeyAttributes = (cCorps); 
}
